Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface MemberSelectTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface MemberSelectTree
      extends ExpressionTree

  A tree node for a member access expression. For example:

         expression . identifier

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | The object expression whose member is being selected.
    `String` | `getIdentifier​()` | Returns the name of the property.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression​()

      The object expression whose member is being selected.
      Returns:
        the object whose member is selected

    - #### getIdentifier

          String getIdentifier​()

      Returns the name of the property.
      Returns:
        the name of the property